window.Gleam.initSearch([{"doc":"bytesize","title":"bytesize","content":"# bytesize\n\n[![Build Status](https://api.cirrus-ci.com/github/wezm/bytesize.svg)](https://cirrus-ci.com/github/wezm/bytesize)\n[![Package Version](https://img.shields.io/hexpm/v/bytesize)](https://hex.pm/packages/bytesize)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/bytesize/)\n![Hex.pm License](https://img.shields.io/hexpm/l/bytesize)\n\n\n```sh\ngleam add bytesize\n```\n\n## Usage\n\n```gleam\nimport bytesize\n\npub fn main() {\n  let s = bytesize.b(10_485_760)\n  |&gt; bytesize.to_string // &quot;10.0 MiB&quot;\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/bytesize&gt;.\n\n## Development\n\n```sh\ngleam test  # Run the tests\n```\n\n## Credits\n\nThis package started off as a port of the [bytesize Rust crate](https://lib.rs/crates/bytesize).\n","url":"index.html"},{"doc":"bytesize","title":"ByteSize","content":"pub type ByteSize {\n  ByteSize(Int)\n}\n\nByteSize(Int)\n\n\nSynonyms:\nbytesize.ByteSize\nbytesize ByteSize","url":"bytesize.html#ByteSize"},{"doc":"bytesize","title":"b_bytes","content":"pub const b_bytes: Int\n byte size for 1 byte\nSynonyms:\nbytesize.b_bytes\nbytesize b_bytes","url":"bytesize.html#b_bytes"},{"doc":"bytesize","title":"gb_bytes","content":"pub const gb_bytes: Int\n bytes size for 1 gigabyte\nSynonyms:\nbytesize.gb_bytes\nbytesize gb_bytes","url":"bytesize.html#gb_bytes"},{"doc":"bytesize","title":"gib_bytes","content":"pub const gib_bytes: Int\n bytes size for 1 gibibyte\nSynonyms:\nbytesize.gib_bytes\nbytesize gib_bytes","url":"bytesize.html#gib_bytes"},{"doc":"bytesize","title":"kb_bytes","content":"pub const kb_bytes: Int\n bytes size for 1 kilobyte\nSynonyms:\nbytesize.kb_bytes\nbytesize kb_bytes","url":"bytesize.html#kb_bytes"},{"doc":"bytesize","title":"kib_bytes","content":"pub const kib_bytes: Int\n bytes size for 1 kibibyte\nSynonyms:\nbytesize.kib_bytes\nbytesize kib_bytes","url":"bytesize.html#kib_bytes"},{"doc":"bytesize","title":"mb_bytes","content":"pub const mb_bytes: Int\n bytes size for 1 megabyte\nSynonyms:\nbytesize.mb_bytes\nbytesize mb_bytes","url":"bytesize.html#mb_bytes"},{"doc":"bytesize","title":"mib_bytes","content":"pub const mib_bytes: Int\n bytes size for 1 mebibyte\nSynonyms:\nbytesize.mib_bytes\nbytesize mib_bytes","url":"bytesize.html#mib_bytes"},{"doc":"bytesize","title":"pb_bytes","content":"pub const pb_bytes: Int\n bytes size for 1 petabyte\nSynonyms:\nbytesize.pb_bytes\nbytesize pb_bytes","url":"bytesize.html#pb_bytes"},{"doc":"bytesize","title":"pib_bytes","content":"pub const pib_bytes: Int\n bytes size for 1 pebibyte\nSynonyms:\nbytesize.pib_bytes\nbytesize pib_bytes","url":"bytesize.html#pib_bytes"},{"doc":"bytesize","title":"tb_bytes","content":"pub const tb_bytes: Int\n bytes size for 1 terabyte\nSynonyms:\nbytesize.tb_bytes\nbytesize tb_bytes","url":"bytesize.html#tb_bytes"},{"doc":"bytesize","title":"tib_bytes","content":"pub const tib_bytes: Int\n bytes size for 1 tebibyte\nSynonyms:\nbytesize.tib_bytes\nbytesize tib_bytes","url":"bytesize.html#tib_bytes"},{"doc":"bytesize","title":"b","content":"pub fn b(size: Int) -&gt; ByteSize\n\nSynonyms:\nbytesize.b\nbytesize b","url":"bytesize.html#b"},{"doc":"bytesize","title":"bytes","content":"pub fn bytes(size: ByteSize) -&gt; Int\n\nSynonyms:\nbytesize.bytes\nbytesize bytes","url":"bytesize.html#bytes"},{"doc":"bytesize","title":"gb","content":"pub fn gb(size: Int) -&gt; ByteSize\n\nSynonyms:\nbytesize.gb\nbytesize gb","url":"bytesize.html#gb"},{"doc":"bytesize","title":"gib","content":"pub fn gib(size: Int) -&gt; ByteSize\n\nSynonyms:\nbytesize.gib\nbytesize gib","url":"bytesize.html#gib"},{"doc":"bytesize","title":"kb","content":"pub fn kb(size: Int) -&gt; ByteSize\n Create a ByteSize from `size` kB\nSynonyms:\nbytesize.kb\nbytesize kb","url":"bytesize.html#kb"},{"doc":"bytesize","title":"kib","content":"pub fn kib(size: Int) -&gt; ByteSize\n\nSynonyms:\nbytesize.kib\nbytesize kib","url":"bytesize.html#kib"},{"doc":"bytesize","title":"mb","content":"pub fn mb(size: Int) -&gt; ByteSize\n\nSynonyms:\nbytesize.mb\nbytesize mb","url":"bytesize.html#mb"},{"doc":"bytesize","title":"mib","content":"pub fn mib(size: Int) -&gt; ByteSize\n\nSynonyms:\nbytesize.mib\nbytesize mib","url":"bytesize.html#mib"},{"doc":"bytesize","title":"pb","content":"pub fn pb(size: Int) -&gt; ByteSize\n\nSynonyms:\nbytesize.pb\nbytesize pb","url":"bytesize.html#pb"},{"doc":"bytesize","title":"pib","content":"pub fn pib(size: Int) -&gt; ByteSize\n\nSynonyms:\nbytesize.pib\nbytesize pib","url":"bytesize.html#pib"},{"doc":"bytesize","title":"tb","content":"pub fn tb(size: Int) -&gt; ByteSize\n\nSynonyms:\nbytesize.tb\nbytesize tb","url":"bytesize.html#tb"},{"doc":"bytesize","title":"tib","content":"pub fn tib(size: Int) -&gt; ByteSize\n\nSynonyms:\nbytesize.tib\nbytesize tib","url":"bytesize.html#tib"},{"doc":"bytesize","title":"to_string","content":"pub fn to_string(size: ByteSize) -&gt; String\n\nSynonyms:\nbytesize.to_string\nbytesize to_string","url":"bytesize.html#to_string"},{"doc":"bytesize","title":"to_string_decimal","content":"pub fn to_string_decimal(size: ByteSize) -&gt; String\n\nSynonyms:\nbytesize.to_string_decimal\nbytesize to_string_decimal","url":"bytesize.html#to_string_decimal"},{"doc":"bytesize","title":"bytesize","content":"","url":"bytesize.html"}]);